Bug 1564591

Summary: man erl fails with No manual entry for erl
Product: [Fedora] Fedora Reporter: Jan Pazdziora <jpazdziora>
Component: erlangAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: lemenkov, rhbugs, rjones, s
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: erlang-20.3.8.9-2.fc29 erlang-20.3.8.9-2.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-30 23:25:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Pazdziora 2018-04-06 17:26:09 UTC
Description of problem:

Even if /usr/bin/erl is installed, man erl does not display the man page, presumably because the man page files are packaged under /usr/lib64/erlang/man and not under /usr/share/man.

Version-Release number of selected component (if applicable):

erlang-erts-19.3.6.5-1.fc27.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. dnf install /usr/bin/erl
2. which erl
3. man erl

Actual results:

$ which erl
/usr/bin/erl
$ man erl
No manual entry for erl

Expected results:

$ which erl
/usr/bin/erl
$ man erl
erl(1)                           User Commands                          erl(1)

NAME
       erl - The Erlang emulator.

DESCRIPTION
       The erl program starts an Erlang runtime system. The exact details (for
[...]

Additional info:

It's possible to fix this on installed system with

# ln -s /usr/lib64/erlang/man/man1/erl.1 /usr/share/man/man1

but ideally all the man page files that erlang generates should be shipped in a location where they can be easily used.

Comment 1 Fedora Update System 2018-09-20 18:13:16 UTC
erlang-20.3.8.9-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-52e4892c54

Comment 2 Fedora Update System 2018-09-20 18:13:23 UTC
erlang-20.3.8.9-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1de15c3fda

Comment 3 Fedora Update System 2018-09-21 07:59:30 UTC
erlang-20.3.8.9-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1de15c3fda

Comment 4 Fedora Update System 2018-09-21 08:47:39 UTC
erlang-20.3.8.9-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-52e4892c54

Comment 5 Fedora Update System 2018-09-30 23:25:59 UTC
erlang-20.3.8.9-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-10-01 02:46:42 UTC
erlang-20.3.8.9-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.